#include "settingsdialog.h"
#include "ui_settingsdialog.h"
#include "serversettings.h"
#include <QDebug>
SettingsDialog::SettingsDialog(QWidget *parent) :
        QDialog(parent),
        ui(new Ui::SettingsDialog)
{
    ui->setupUi(this);

    addSettings(new ServerSettings);

    connect(ui->buttonBox,SIGNAL(accepted()),this,SLOT(saveAll()));
}

SettingsDialog::~SettingsDialog()
{
    delete ui;
}




void SettingsDialog::addSettings(AbstractSettings * settings)
{
    ui->tabWidget->addTab(settings,settings->windowIcon(),settings->windowTitle());
    settings->load();

}

void SettingsDialog::saveAll()
{
    qDebug()<<"save All";

    for ( int i=0; i<ui->tabWidget->count(); ++i)
    {
        AbstractSettings * settings = qobject_cast<AbstractSettings*>(ui->tabWidget->widget(i));
        settings->save();
    }

    emit accept();
}

void SettingsDialog::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
